Bug 199549 - audio/cantata: looks icons from /usr/share/icons
Summary: audio/cantata: looks icons from /usr/share/icons
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-19 19:21 UTC by Jani Salonen
Modified: 2015-04-21 16:45 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback+


Attachments
make it look in /usr/local (358 bytes, patch)
2015-04-20 07:20 UTC, Tobias Berner
no flags Details | Diff
use upstream patch (2.43 KB, patch)
2015-04-20 17:18 UTC, Tobias Berner
no flags Details | Diff
PORTREVISION+upstream patch (2.71 KB, patch)
2015-04-21 07:34 UTC, Tobias Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jani Salonen 2015-04-19 19:21:23 UTC
Cantata 1.5.1 does not find/show icons in UI because it looks them from /usr/share/icons, and thats not working as pkg installs icons under /usr/local/share/icons.

FreeBSD soda 10.1-RELEASE-p9 FreeBSD 10.1-RELEASE-p9 #14: Thu Apr  9 15:01:31 EEST 2015     root@soda:/usr/obj/usr/src/sys/SODA  amd64
Comment 1 Tobias Berner 2015-04-20 07:20:46 UTC
Created attachment 155759 [details]
make it look in /usr/local

this hopefully fixes it, sorry
Comment 2 Tobias Berner 2015-04-20 17:18:07 UTC
Created attachment 155777 [details]
use upstream patch

rakuco pointed out that this has been fixed upstream [1].
Probably better to use that.


[1] https://code.google.com/p/cantata/source/detail?r=5740
Comment 3 Raphael Kubo da Costa freebsd_committer 2015-04-21 06:53:57 UTC
Don't forget to bump PORTREVISION too, otherwise users who have already installed the port won't get this fix.
Comment 4 Tobias Berner 2015-04-21 07:34:48 UTC
Created attachment 155794 [details]
PORTREVISION+upstream patch
Comment 5 commit-hook freebsd_committer 2015-04-21 11:59:19 UTC
A commit references this bug:

Author: rakuco
Date: Tue Apr 21 11:58:33 UTC 2015
New revision: 384421
URL: https://svnweb.freebsd.org/changeset/ports/384421

Log:
  Look for icons in places other than /usr/share/icons.

  Incorporate upstream commit 5750:
    - When checking for icon themes, also check in $PREFIX
    - Also ensure path is in QIcon's theme path

  This makes the port correctly find/show icons in the UI.

  PR:		199549
  Submitted by:	Tobias Berner <tcberner@gmail.com>
  MFH:		2015Q2

Changes:
  head/audio/cantata/Makefile
  head/audio/cantata/files/patch-svn-5739-gui__application_qt.cpp
Comment 6 commit-hook freebsd_committer 2015-04-21 16:26:39 UTC
A commit references this bug:

Author: rakuco
Date: Tue Apr 21 16:26:18 UTC 2015
New revision: 384430
URL: https://svnweb.freebsd.org/changeset/ports/384430

Log:
  MFH: r384421

  Look for icons in places other than /usr/share/icons.

  Incorporate upstream commit 5750:
    - When checking for icon themes, also check in $PREFIX
    - Also ensure path is in QIcon's theme path

  This makes the port correctly find/show icons in the UI.

  PR:		199549
  Submitted by:	Tobias Berner <tcberner@gmail.com>

  Approved by:	portmgr (erwin)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/audio/cantata/Makefile
  branches/2015Q2/audio/cantata/files/patch-svn-5739-gui__application_qt.cpp